Loading...
Searching...
No Matches
Gudhi::persistence_matrix::RU_pairing< Master_matrix > Class Template Reference
Persistence Matrix

Class managing the barcode for RU_matrix if the option was enabled. More...

`#include <gudhi/Persistence_matrix/ru_pairing.h>`

## Public Types

using | Barcode = typename Master_matrix::Barcode

## Public Member Functions

| RU_pairing ()
| Default constructor.
const Barcode & | get_current_barcode () const
| Returns the current barcode which is maintained at any insertion, removal or vine swap.

## Friends

void | swap (RU_pairing &pairing1, RU_pairing &pairing2)
| Swap operator.

## Detailed Description

template<class Master_matrix>
class Gudhi::persistence_matrix::RU_pairing< Master_matrix >

Class managing the barcode for RU_matrix if the option was enabled.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

## Member Typedef Documentation

## Barcode

template<class Master_matrix>

using Gudhi::persistence_matrix::RU_pairing< Master_matrix >::Barcode = typename Master_matrix::Barcode

Barcode type.

## Member Function Documentation

## get_current_barcode()

template<class Master_matrix>

const Barcode & Gudhi::persistence_matrix::RU_pairing< Master_matrix >::get_current_barcode | ( |  | ) | const

inline

Returns the current barcode which is maintained at any insertion, removal or vine swap.

Returns
  Const reference to the barcode.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/ru_pairing.h